Classes | Namespaces | Typedefs | Enumerations
BBeBTypes.h File Reference
`#include <deque>`
`#include <map>`
`#include <string>`
`#include <boost/optional.hpp>`

Go to the source code of this file.

## Classes
struct | libebook::BBeBBookInfo
struct | libebook::BBeBDocInfo
struct | libebook::BBeBMetadata
struct | libebook::BBeBColor
struct | libebook::BBeBEmptyLine
struct | libebook::BBeBAttributes

## Namespaces
namespace | libebook

## Typedefs
typedef std::map< unsigned, BBeBAttributes > | libebook::BBeBAttributeMap_t

## Enumerations
enum | libebook::BBeBImageType { libebook::BBEB_IMAGE_TYPE_UNKNOWN = 0 , libebook::BBEB_IMAGE_TYPE_JPEG = 0x11 , libebook::BBEB_IMAGE_TYPE_PNG = 0x12 , libebook::BBEB_IMAGE_TYPE_BMP = 0x13 , libebook::BBEB_IMAGE_TYPE_GIF = 0x14 }
enum | libebook::BBeBEmptyLinePosition { libebook::BBEB_EMPTY_LINE_POSITION_UNKNOWN , libebook::BBEB_EMPTY_LINE_POSITION_BEFORE , libebook::BBEB_EMPTY_LINE_POSITION_AFTER }
enum | libebook::BBeBEmptyLineMode { libebook::BBEB_EMPTY_LINE_MODE_NONE , libebook::BBEB_EMPTY_LINE_MODE_SOLID , libebook::BBEB_EMPTY_LINE_MODE_DASHED , libebook::BBEB_EMPTY_LINE_MODE_DOUBLE , libebook::BBEB_EMPTY_LINE_MODE_DOTTED }
enum | libebook::BBeBAlign { libebook::BBEB_ALIGN_START , libebook::BBEB_ALIGN_END , libebook::BBEB_ALIGN_CENTER }